@ECHO off
title Tasselhof ROOT Script

:start
cls
echo Make sure to enable USB Debugging on the tablet
echo  - Settings -) Applications -) Development -) USB debugging (green checkmark)
echo '
echo  1. Check Tablet Connection
echo  2. Verify Tablet is ROOT Capable (with this script)
echo  3. Run ROOT Script
echo '
echo ***** ADDITIONAL OPTIONS - (ROOT REQUIRED) *****
echo  4. Upgrade Android Market App
echo  5. Disable Services to Increase Battery Life
echo     - Phone, 3G, Bluetooth, Provision, VPN
echo  6. Re-Enable All Services
echo  7. Enable Only 3G Services
echo  8. Enable Only Bluetooth Service
echo  9. Quit
echo '
set /p choice=Choose Option (1 thru 9): 
if %choice%==1 goto check
if %choice%==2 goto verify
if %choice%==3 goto root
if %choice%==4 goto market
if %choice%==5 goto disable
if %choice%==6 goto enable
if %choice%==7 goto 3g
if %choice%==8 goto bluetooth
if %choice%==9 goto quit

:check
cls
echo Running Connection Test
echo  - Make sure you have only one device listed. (EX: 0123456789ABCDEF)
echo '
adb devices
echo Done.
pause
goto start

:verify
cls
echo Verifying ADB can access ROOT
echo '
adb root
echo '
echo **********************************************************
echo If you see: "adbd cannot run as root in production builds"
echo  - this script WILL NOT work
echo '
echo If you see: "restarting adbd as root"
echo  - proceed to option 3
echo '
echo If you see: "adbd is already running as root"
echo  - proceed to option 3
echo **********************************************************
echo '
echo Done.
pause
goto start

:root
cls
echo Running ROOT Script 
adb root
adb remount
echo '
echo push Superuser.apk /system/app/Superuser.apk
adb push Superuser.apk /system/app/Superuser.apk
echo push su /system/bin/su
adb push su /system/bin/su
echo push su /system/xbin/su
adb push su /system/xbin/su

echo '
echo adb shell chown 0.0 /system/xbin/su
adb shell chown 0.0 /system/xbin/su
echo adb shell chmod 6775 /system/xbin/su
adb shell chmod 6775 /system/xbin/su
echo adb shell ln -s /system/xbin/su /system/bin/su
adb shell ln -s /system/xbin/su /system/bin/su

echo '
echo Installing Root Checker
adb install com.joeykrim.rootcheck.apk
echo Installing Busybox
adb install stericson.busybox.apk
echo '
echo Done.
pause
goto start

:market
cls
echo Logging in as ROOT User 
adb root
adb remount
echo '
echo Upgrading Android Market
adb push Vending.apk /system/app/Vending.apk
echo '
echo Done.
echo Thanks! ContemptX!
pause
goto start

:disable
cls
echo Logging in as ROOT User 
adb root
adb remount
echo '
echo Disabling Bluetooth.apk
adb shell mv /system/app/Bluetooth.apk /system/app/!OLDBluetooth.apk.old
echo Disabling Mms.apk
adb shell mv /system/app/Mms.apk /system/app/!OLDMms.apk.old
echo Disabling Provision.apk
adb shell mv /system/app/Provision.apk /system/app/!OLDProvision.apk.old
echo Disabling TelephonyProvider.apk
adb shell mv /system/app/TelephonyProvider.apk /system/app/!OLDTelephonyProvider.apk.old
echo Disabling VpnServices.apk
adb shell mv /system/app/VpnServices.apk /system/app/!OLDVpnServices.apk.old
echo Disabling NetworkMonitor.apk
adb shell mv /system/app/NetworkMonitor.apk /system/app/!OLDNetworkMonitor.apk.old
echo Disabling Network3gMonitor.apk
adb shell mv /system/app/Network3gMonitor.apk /system/app/!OLDNetwork3gMonitor.apk.old
echo Disabling shortcut3g.apk
adb shell mv /system/app/shortcut3g.apk /system/app/!OLDshortcut3g.apk.old
echo Disabling Phone.apk - (Requires Immediate Hard Power Off and Reboot)
adb shell mv /system/app/Phone.apk /system/app/!OLDPhone.apk.old
echo '
echo Done.
pause
goto start

:enable
cls
echo Logging in as ROOT User 
adb root
adb remount
echo '
echo Enabling Bluetooth.apk
adb shell mv /system/app/!OLDBluetooth.apk.old /system/app/Bluetooth.apk
echo Enabling Mms.apk
adb shell mv /system/app/!OLDMms.apk.old /system/app/Mms.apk
echo Enabling Provision.apk
adb shell mv /system/app/!OLDProvision.apk.old /system/app/Provision.apk
echo Enabling TelephonyProvider.apk
adb shell mv /system/app/!OLDTelephonyProvider.apk.old /system/app/TelephonyProvider.apk
echo Enabling VpnServices.apk
adb shell mv /system/app/!OLDVpnServices.apk.old /system/app/VpnServices.apk
echo Enabling NetworkMonitor.apk
adb shell mv /system/app/!OLDNetworkMonitor.apk.old /system/app/NetworkMonitor.apk
echo Enabling Network3gMonitor.apk
adb shell mv /system/app/!OLDNetwork3gMonitor.apk.old /system/app/Network3gMonitor.apk
echo Enabling shortcut3g.apk
adb shell mv /system/app/!OLDshortcut3g.apk.old /system/app/shortcut3g.apk
echo Enabling Phone.apk - (Requires Immediate Hard Power Off and Reboot)
adb shell mv /system/app/!OLDPhone.apk.old /system/app/Phone.apk
echo '
echo Done.
pause
goto start

:3g
cls
echo Logging in as ROOT User 
adb root
adb remount
echo '
echo Enabling Mms.apk
adb shell mv /system/app/!OLDMms.apk.old /system/app/Mms.apk
echo Enabling Provision.apk
adb shell mv /system/app/!OLDProvision.apk.old /system/app/Provision.apk
echo Enabling TelephonyProvider.apk
adb shell mv /system/app/!OLDTelephonyProvider.apk.old /system/app/TelephonyProvider.apk
echo Enabling NetworkMonitor.apk
adb shell mv /system/app/!OLDNetworkMonitor.apk.old /system/app/NetworkMonitor.apk
echo Enabling Network3gMonitor.apk
adb shell mv /system/app/!OLDNetwork3gMonitor.apk.old /system/app/Network3gMonitor.apk
echo Enabling shortcut3g.apk
adb shell mv /system/app/!OLDshortcut3g.apk.old /system/app/shortcut3g.apk
echo Enabling Phone.apk - (Requires Immediate Hard Power Off and Reboot)
adb shell mv /system/app/!OLDPhone.apk.old /system/app/Phone.apk
echo '
echo Done.
pause
goto start

:bluetooth
cls
echo Logging in as ROOT User 
adb root
adb remount
echo '
echo Enabling Bluetooth.apk
adb shell mv /system/app/!OLDBluetooth.apk.old /system/app/Bluetooth.apk
echo '
echo Done.
pause
goto start

:quit
cls
echo Disconnect the cable from your tablet.
echo Run Root Checker on your tablet.
echo '
echo Hopefully Congratulations are in Order!
echo '
echo Many Thanks to the Guide/Guys Below!!!!
echo  - Manual Instructions that this script was based on can be found here:
echo  - http://www.slatedroid.com/wiki/index.php/Aishuo_A816_MiniPad#Root_Your_Tablet
pause
exit